WordPress.org

Support

Support » Plugins and Hacks » [Plugin: WordPress Video Plugin] Use the proper shortcode API

[Plugin: WordPress Video Plugin] Use the proper shortcode API

  • Hi there,

    I’ve just spent more than an hour debugging a very stupid issue for a user of my Slideshare plugin. Your WordPress Video Plugin doesn’t use the internal Shortcode API, but instead uses tons of it’s own defines and regexps.

    It shows you can code quite well, but it is not exactly the way these things are supposed to be done within a WordPress plugin. I’ve “fixed” it by doing the following:

    // Make sure [slideshare] shortcodes are executed by the correct plugin, by giving the WordPress video plugin an erroneous regexp.
    define("SS_REGEXP", "/\[ss (<a href="http://codex.wordpress.org/:print:">:print:</a>+)\]/");

    But… It’d be nice if you actually used the ShortCode API so I could overwrite your slideshare shortcode with my own…

    Thanks for considering it!

    Cheers,
    Joost de Valk

    http://wordpress.org/extend/plugins/wordpress-video-plugin/

  • The topic ‘[Plugin: WordPress Video Plugin] Use the proper shortcode API’ is closed to new replies.
Skip to toolbar